Subject: Setting default face font on W32

From: <[email-masked]>
Date: 19 Oct 2003 18:20:26 -0400

Symptoms:

I'm discovering the wonders of Emacs under W32 and wanted
to change the default font from courier to something sansserif,
in this case lucida-console.
I haven't been able to get to work reliably yet.
Here is what I tried (the rest of the .emacs is empty):

- (custom-set-faces
   '(default ((t (:family "outline-lucida console")))))

  This seems not to have any effect on the initial frame which
  still uses courier.  When I do C-x 5 2, I do get the proper lucida
  font in the new frame, tho.

- (custom-set-faces
   '(default ((t (:stipple nil :background "SystemWindow" :foreground "SystemWindowText" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 98 :width normal :family "outline-lucida console")))))

  This is the result of doing M-x customize-face RET default RET
  and changing nothing but the font family and then saving.

  This time the initial frame uses the proper lucida font.
  After C-x 5 2, the new frame also uses the proper lucida font,
  but after C-u C-x = in the second frame, the font of the frame
  reverts to courier (the original frame stays un-changed).
  If I do C-x 5 2 a second time (instead of C-u C-x = for example),
  the first and third frame use lucida but the second frame is
  changed to courier.

The W32 binary I use is downloaded from crasseux.com (this is
a friend's laptop on which there's no C compiler of any sort).

	Stefan

In GNU Emacs 21.3.50.1 (i386-mingw-nt5.1.2600)
 of 2003-08-21 on MIDASPSE17
configured using `configure --with-gcc (3.2)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: FRS
  locale-coding-system: iso-latin-1
  default-enable-multibyte-characters: t

Recent input:
<help-echo> <down-mouse-1> <mouse-1> M-x r e p o r 
<tab> <tab> <return>

Recent messages:
Loading mwheel...done
(C:\Documents and Settings\stefan\emacs\bin\emacs.exe)
Loading tool-bar...done
Loading image...done
Loading tooltip...done
For information about the GNU Project and its goals, type C-h C-p.
Loading font-lock...done
Loading emacsbug...done

_______________________________________________
Emacs-pretest-bug mailing list
[email-masked]
http://mail.gnu.org/mailman/listinfo/emacs-pretest-bug